""" Vindby
    Copyright (C) 2018  Esther Dornhelm

    This program is licensed under an Attribution-NonCommercial 4.0 International (CC BY-NC 4.0) license

    Terms and conditions of this license are defined in
    file 'LICENSE.txt', which is part of this source code package.

    See <https://creativecommons.org/licenses/by-nc/4.0/>."""

class LCOE:
    """Represents the LCOE for one farm"""

    def __init__(self):
        self.value = None #update once a month?
        self.displayValue = 'None'
        self.year = []

    def update(self, CAPEX, OPEX, energy_produced):
        try:
            self.value = round((CAPEX + OPEX)/energy_produced,2)
        except:
            self.value = round(CAPEX + OPEX,2)
        self.displayValue = str('{:,}'.format(int(self.value)))


