""" Vindby
    Copyright (C) 2018  Esther Dornhelm

    This program is licensed under an Attribution-NonCommercial 4.0 International (CC BY-NC 4.0) license

    Terms and conditions of this license are defined in
    file 'LICENSE.txt', which is part of this source code package.

    See <https://creativecommons.org/licenses/by-nc/4.0/>."""

class PowerCurves:
    """Represents power curves for all possible turbines"""

    def __init__(self):
        self.powerCurveList=[]

    def read(self):
        f=open('tpowercurves.txt','r')
        self.powerCurveList=[]
        header1=f.readline()
        for line in f:
            line = line.strip()
            columns = line.split()
            source = {}
            source['RatedPower'] = float(columns[0])
            source['CutIn'] = float(columns[1])
            source['Slope'] = float(columns[2])
            source['RatedSpeed'] = float(columns[3])
            source['CutOut'] = float(columns[4])
            self.powerCurveList.append(source)
        f.close()

    def grab(self,i):
        print(self.powerCurveList)
        return self.powerCurveList[i]

    #STUBBED OUT - IMPROVE ACCURACY OF CURVES AND APPLY MEASURE SUCH AS POWER CURVE ADJUSTMENT, AND HIGH WIND HYSTERESIS
